Bug 140177 - system bails out with usb wacom intuos
system bails out with usb wacom intuos
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-20 13:25 EST by Stefan Seefeld
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2004-11-20 13:25:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I'm having major problems with my usb wacom tablet.
It used to work with 2.4.x kernels on FC1.
I believe the error showed up as soon as I upgraded to 
a 2.6.x kernel.
I'v now even had problems installing FC3 because of some
conflicts. When I unplug the wacom installation goes
well.

Plugging the wacom back into the running machine results
into the following messages in /var/log/messages:

Nov 17 22:22:42 marvin kernel: hub 2-2:1.0: hub_port_status failed
(err = -71)
Nov 17 22:22:42 marvin kernel: hub 2-2:1.0: cannot reset port 2 (err =
-71)
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: hub_port_status failed
(err = -71)
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: cannot reset port 2 (err =
-71)
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: cannot reset port 2 (err =
-71)
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: Cannot enable port 2. 
Maybe the USB cable is bad?
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: cannot disable port 2 (err
= -71)
Nov 17 22:22:43 marvin kernel: hub 2-2:1.0: cannot reset port 2 (err =
-71)
Nov 17 22:22:43 marvin last message repeated 4 times

...

Is there anything else I can do to help resolve this problem ?

Version-Release number of selected component (if applicable):
FC3 vanilla kernel (2.6.9-1.667)

How reproducible:
Always

Steps to Reproduce:
1.boot into FC3 with kernel 2.6.9-1.667
2.watch /var/log/messages
3.plug wacom intuos into usb port
    

Actual Results:  the messages above show up and repeat until I unplug
the tablet.

Expected Results:  Ideally the tablet would work, i.e. generate events.
At the least, let the kernel report that an unknown
device has been plugged into the usb port (and allow
me to install a wacom intuos driver).

Additional info:
Comment 1 Stefan Seefeld 2004-12-06 00:30:40 EST
I just noticed that the system behaves better once it is fully 
installed. Now the wacom reports ordinary input events on the
same device file as the mouse (which is, I believe, bug #133643),
but at least the system doesn't freeze.
This freeze could be related to bug #138658.

So this bug report may actually be a duplicate.
Comment 2 Dave Jones 2005-07-15 13:50:23 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:18:12 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.